Package org.optaplanner.core.impl.score.buildin.bendablelong

## Class BendableLongScoreInliner

- java.lang.Object
- - org.optaplanner.core.impl.score.inliner.ScoreInliner<BendableLongScore>
  - - org.optaplanner.core.impl.score.buildin.bendablelong.BendableLongScoreInliner

-     public class BendableLongScoreInliner
      extends ScoreInliner<BendableLongScore>

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.score.inliner.ScoreInliner

      `constraintMatchEnabled`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BendableLongScoreInliner​(boolean constraintMatchEnabled, int hardLevelsSize, int softLevelsSize)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `LongWeightedScoreImpacter` | `buildWeightedScoreImpacter​(BendableLongScore constraintWeight)` |
    `BendableLongScore` | `extractScore​(int initScore)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BendableLongScoreInliner

          public BendableLongScoreInliner​(boolean constraintMatchEnabled,
                                          int hardLevelsSize,
                                          int softLevelsSize)

  - ### Method Detail

    - #### buildWeightedScoreImpacter

          public LongWeightedScoreImpacter buildWeightedScoreImpacter​(BendableLongScore constraintWeight)

      Specified by:
        `buildWeightedScoreImpacter` in class `ScoreInliner<BendableLongScore>`

    - #### extractScore

          public BendableLongScore extractScore​(int initScore)

      Specified by:
        `extractScore` in class `ScoreInliner<BendableLongScore>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`